%   Script BEHALT.M zur Herstellung von Bildern
%
%   Gewichtsfunktion eines Behltersystems
%
% J. Lunze
% 19.1.1996
% fr 2. Auflage: 30.10.1998
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 16.6.2005
% fr 7. Auflage: 13.5.2008
% fr 9. Auflage: 16.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 23.3.2020
%
%   
clear
close all

A = [-0.5 0  ;
     0.67 -0.67];
b = [0.5;
     0];
c = [0 1];
d = 0;
Behaelter=ss(A, b, c, d);
x0=[0, 0];

%%   Behlter mit impulsfrmiger Eingangsgre
%   
figure(1);
subplot(2,1,1);
plot([-5 0 0 0.25 0.25 15], [0 0 5 5 0 0], 'b', [-5 1], [0 0], 'k:', [0 0], [-5 10], 'k:');
latextitle('Beh\"altersystem mit impulsf\"ormigem Eingang');
latexylabel('$$u$$ in $$\frac{\rm mol}{\rm l}$$');
rotateY;
xleer
axis([-2 15 -0.5 5.5]);
yticks([0 2 4]);
%
subplot(2,1,2);
T=[0:0.01:15];
[Y1, T, X1]=step(Behaelter, T);
X1=5*X1;
for k=1:26
  X2(k,1)=0;
  X2(k,2)=0;
end;
for k=27:1501
  X2(k,1)=-X1(k-26,1);
  X2(k,2)=-X1(k-26,2);
end;
X3=X1(:,2)+X2(:,2);
plot(T, X1(:,2)+X2(:,2), 'b', [-3 0], [0 0], 'b',[-3 15], [0 0],'k:', [0 0], [-0.05 0.3],'k:');
latexxlabel('$$t$$ in min');
latexylabel('$$y$$ in $$\frac{\rm mol}{\rm l}$$');
rotateY;
axis([-2 15 -0.05 0.3]);
xticks([0 5 10 15 ]);
yticks([0 0.1 0.2 0.3]);

%%   Vergleich mit der Gewichtsfunktion des Behlters
%
figure(2);
subplot(2,1,1)
X4=0.8*X3;
[Y, X]=impulse(Behaelter, T);
plot(T, X4, 'b--', T, Y, 'b', [-3 0], [0 0], 'b',[-3 15], [0 0],'k:', [0 0], [-0.05 0.3],'k:');
latexxlabel('$$t$$ in min');
latexylabel('$$g$$ in $$\frac{\rm mol}{\rm l}$$');
rotateY;
axis([-2 15 -0.05 0.3]);
xticks([0 5 10 15]);
yticks([0 0.1 0.2 0.3]);
latextitle('Gewichtsfunktion des Beh\"altersystems');


%% Herstellung der Bilddateien *.eps
%
Epsbildc15('behalt');
