%   Script BSPKRAN.M zur Erzeugung von Beispieldaten
%
%    Verladebrcke
%
% J. Lunze
% 5.12.1995
% fr 2. Auflage: 6.11.1998   (Parameter unverndert)
% fr 3. Auflage: 2.4.2001
% fr 4. Auflage: 19.9.2003    (Korrektur des Vorzeichens in b(4,1))
% fr 5. Auflage: 18.4.2005
%
%
clear zs ns
clear A b c d n m r
clear mK mL l g
echo on
%
%   Beispiel: Verladebrcke
%
%        Parameter:
%           mK     Masse der Laufkatze
%           mL     Masse der Last
%           L      Lnge des Seils
%
%    Zustandsgren:
%           x1 = Position der Laufkatze
%           x2 = Geschwindigkeit der Laufkatze (=dx1/dt)
%           x3 = Winkel des Lasthakens zur Senkrechten
%           x4 = Winkelgeschwindigkeit des Lasthakens (=dx3/dt)
%
%            u = Kraft an Laufkatze [N]
%            y = seitliche Position der Last [m]
%
%        Zeit in s
%
%   Verladebruecke = Verhalten Kraft -> Lastposition
%   [A b c d]  Zustandsraummodell
%
mK = 1000;     % kg
mL = 1500;     % kg
L = 8;         % m
g = 9.81;      % m/s^2

n=4;
m=1;
r=1;
A = zeros(n, n);
A(1,2) = 1;
A(2,3) = mL/mK*g;
A(3,4) = 1;
A(4,3) = -(mK + mL)/mK/L*g;

b=zeros(n, m);
b(2,1) = 1/mK;
b(4,1) = -1/mK/L;

c=[1 0 L 0];
d=0;

%[zs, ns]=ss2tf(A, b, c, d);
Verladebruecke1=ss(A, b, c, d);
Verladebruecke=minreal(Verladebruecke1);
