%   Script BSPREAK.M zur Erzeugung von Beispieldaten
%
%    Heizungsregelkreis fr einen chem. Reaktor
%
% J. Lunze
% 13.11.1995
% fr 3. Auflage: 2.4.2001
% fr 4. Auflage: 15.9.2003  (unvernderte Parameter)
% fr 5. Auflage: 18.4.2005
%
%
clear zs ns zd nd
clear m c mh ch alpha A w
%
%   Beispiel: Zylindrischer Behlter mit folgenden Parametern
%               Volumen     V = 10 000 cm^3
%               Hhe        h = 30 cm
%               Durchmesser d = 20 cm
%               Manteldicke     0.4 cm
%               Masse       m = 10 kg
%               spez. Wrme c = 4.19 kJ/kg K  (Wasser)
%               Durchflu   w = 10 kg/min
%
%        Eingang: Heizleistung in kW
%        Ausgang: Temperatur der Flssigkeit in oC
%        Strung: Temperatur des Zulaufes in oC
%        Zeit in min
%
%   [zs, ns] = bertragungsfunktion Heizleistung -> Temperatur
%   [zd, nd] = bertragungsfunktion Zulauftemperatur -> Temperatur
%
w=10;         % kg/min
m=10;         % kg         (Masser der Flssigkeit im Reaktor)
c=4.19;       % kJ/(kg K)  (Wasser)
mh=7;         % kg         (Masse des Eisenmantels)
ch=0.47;      % kJ/(kg K)  (Stahl)
alpha=0.5;    % kW/(m^2 K)
A=0.22;       % m^2

zs = [1/w/c*60];
ns = [mh*ch*m/w/alpha/A/60 (mh*ch/w/c + mh*ch/alpha/A/60 + m/w) 1];
Reaktor=tf(zs,ns);
zd = [mh*ch/alpha/A/60 1];
nd = ns;
ReaktorStoer=tf(zd, nd);
