%   Script EHOCHST.M zur Herstellung von Bildern
%
%   e-Funktionen
%
% J. Lunze
% 17.11.1995
% fr 2. Auflage: 30.10.1998
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 2.5.2005
% fr 6. Auflage: 4.12.2006
% fr 7. Auflage: 28.4.2008
% fr 8. Auflage: 2.2.2010
% fr 9. Auflage: 13.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 01.07.2019
%
%  e^st fr Re(s) <=> 0
%
%   
clear
close all

%%   e-Funktionen mit unterschiedlicher Dmpfung
%
%   
delta1=0.015;    %  bisher 0.015
delta2=0;
delta3=-0.02;
omega=0.5;
T=[0:0.1:100];
Tsize=size(T);
for k=1:Tsize(2)
   E1(k) = exp(delta1*T(k))*sin(omega*T(k));
   E2(k) = exp(delta2*T(k))*sin(omega*T(k));
   E3(k) = exp(delta3*T(k))*sin(omega*T(k));
end

figure(1);
subplot(3,1,1);
D1=exp(delta1*T);
plot(T, E1, 'b', T, D1, 'b--', T, -D1, 'b--');
xleer;
yleer;
axis([0 100 -3 3]);
latextitle('Sinusfunktionen mit unterschiedlicher D\"ampfung');
latexylabel('$$y$$');
latextext(101, 0, '$$\delta > 0$$');
rotateY;
subplot(3,1,2);
D2=exp(delta2*T);
plot(T, E2, 'b', T, D2, 'b--', T, -D2, 'b--');
xleer;
yleer;
axis([0 100 -3 3]);
latexylabel('$$y$$');
rotateY;
latextext(101, 0, '$$\delta = 0$$');
subplot(3,1,3);
D3=exp(delta3*T);
plot(T, E3, 'b', T, D3, 'b--', T, -D3, 'b--');
xleer;
yleer;
axis([0 100 -3 3]);
latexxlabel('$$t$$');
latexylabel('$$y$$')
rotateY;
latextext(101, 0, '$$\delta < 0$$');



%% Herstellung der Bilddateien *.eps
%
Epsbildc15('ehochst');
