%   Script EIGENPT.M    zur Herstellung von Bildern
%
%   Eigenbewegung und bergangsfunktion
%   eines Systems erster Ordnung
%
% J. Lunze
% 4.12.1995
% fr 2. Auflage: 30.10.1998
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 4.12.2006
% fr 7. Auflage: 28.4.2008
% fr 9. Auflage: 13.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 01.07.2019
%
%   
clear
close all;

A = [-0.5 0 0
     0 0 0;
     0 0 +0.4];
b = [1;
     1;
     1];
c = [1 1 1];
d=0;
System=ss(A, b, c, d);
x0=[1.5, 1.5, 1.5];

%%  Eigenbewegung eines Systems 1. Ordnung
%
figure(1);
subplot(2,1,1)
[Y, T, X]=initial(System, x0);
plot( T, X(:, 2), 'b', T, X(:, 3), 'b', T, X(:, 1), 'b');
xleer;
yleer;
latexxlabel('$$t$$');
latexylabel('$$x$$');
rotateY;
latextitle('Eigenbewegung eines Systems erster Ordnung');
latextext(3, 0.8, '$$a < 0$$');
latextext(3, 2, '$$a= 0$$');
latextext(3, 4, '$$a > 0$$');
axis([0 6 0 6]);


%%   bergangsfunktion eines Systems 1. Ordnung
%
figure(2);
subplot(2,1,1)
ks=-b(1,1)/A(1,1)*c(1,1);
K=[ks, ks];
Tachse=[min(T), max(T)];
plot(Tachse, K, 'k:');
hold on;
[Y, T, X]=step(System);
plot(T, X(:, 2), 'b', T, X(:, 3), 'b', T, X(:, 1), 'b');
xleer;
yleer;
latexxlabel('$$t$$');
latexylabel('$$x$$');
rotateY;
latextitle('\"Ubergangsfunktion eines Systems erster Ordnung');
latextext(3, 1.2, '$$a < 0$$');
latextext(3.5, 3, '$$a = 0$$');
latextext(1, 3, '$$a > 0$$');
latextext(5.05, 2, '$$-\frac{b}{a} $$');
axis([0 5 0 5]);
hold off;


%%     Bilder auf .EPS- und .PS-Dateien
%
Epsbildc15('eigenpt');
