%   Script FUHRG.M zur Erzeugung von Beispieldaten
%
%    Entwurf auf Fhrungsverhalten
%
% J. Lunze
% 14.12.1995
% fr 2. Auflage: 1.11.1998
% fr 3. Auflage: 2.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 3.12.2006
% fr 7. Auflage: 28.4.2008
% fr 9. Auflage: 16.2.2012
% fr 10. Auflage: 27.1.2014
% fr 11. Auflage: 19.4.2016
% fr 12. Auflage: 05.08.2019
%
%
clear
close all
echo on
%
%    berschwingweite delta h in Abhngigkeit von d
%
%
figure(1);
subplot(3,1,[1,2]);
T=1;
k1=0;
zk=1;
D=[0:0.05:1];
for d = D
   k1=k1+1;
   nk = [T^2 2*d*T 1];
   [Yw, Xw]=step(zk, nk);
   deltah(k1,1)=max(Yw)-1;
end
plot(D, 100*deltah, 'b');
latextitle('\"Uberschwingweite bei unterschiedlicher D\"ampfung $$d$$');
latexylabel('$$\Delta h$$ in \%');
rotateY;
latexxlabel('$$d$$');
grid('on');
axis([0 1 0 100]);
yticks([0 20 40 60 80 100]);
xticks([0 0.2 0.4 0.6 0.8 1]);

%%  Bilder auf .EPS- und .PS-Dateien
%
Epsbildc15('fuhrg');
