%   Script KORRGL.M zur Herstellung von Bildern
%
%   Bodediagramm und bergangsfunktionen
%   von Korrekturgliedern
%
% J. Lunze
% 15.12.1995
% fr 2. Auflage: 1.11.1998
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 4.12.2006
% fr 7. Auflage: 28.4.2008
% fr 8. Auflage: 5.1.2010
% fr 9. Auflage: 10.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 23.03.2020
%
%   
clear
close all

%%  Phasenabsenkendes Korrekturglied
%
figure(1);
T1=10;
TD=1;
z=[TD 1];
n=[T1 1];
Korrglied=tf(z, n);
[B, P, W] = bode(Korrglied);
[Y, T] = step(Korrglied);
subplot(3, 1, 1);
semilogx(W, 20*log10(B(:)), 'b', [0.01 10],[0 0],'k:');
axis([0.01 10 -25 25]);
yticks([0]);
xleer;
latexylabel('$$|K|$$ in dB');
rotateY;
latextitle('Phasenabsenkendes Korrekturglied');
subplot(3,1,2);
semilogx(W, P(:), 'b', [0.01 10],[0 0],'k:');
axis([0.01 10 -60 60]);
yticks([0]);
xleer;
latexylabel('$$\phi$$ in Grad');
rotateY;
latexxlabel('$$\omega$$ in $${\rm rad}/{\rm s}$$');
subplot(3,1,3);
plot(T, Y, 'b', [-5 0 0],[0 0 Y(1)], 'b',[-5 50],[0 0],'k:');
axis([-5 50 -0.2 1.2]);
latexylabel('$$h$$');
rotateY;
yticks([0]);
xticks([0]);
latexxlabel('$$t$$ in s');

%%    Phasenanhebendes Korrekturglied
%
figure(2);
T1=1;
TD=10;
z=[TD 1];
n=[T1 1];
Korrglied=tf(z, n);
[B, P, W] = bode(Korrglied);
[Y, T] = step(Korrglied);
subplot(3, 1, 1);
semilogx(W, 20*log10(B(:)), 'b',[0.01 10],[0 0],'k:');
axis([0.01 10 -25 25]);
yticks([0]);
xleer;
latexylabel('$$|K|$$ in dB');
rotateY;
latextitle('Phasenanhebendes Korrekturglied');
subplot(3,1,2);
semilogx(W, P(:), 'b', [0.01 10],[0 0],'k:');
axis([0.01 10 -60 60]);
yticks([0]);
xleer;
latexylabel('$$\phi$$ in Grad');
rotateY;
latexxlabel('$$\omega$$ in $${\rm rad}/{\rm s}$$');
subplot(3,1,3);
plot(T, Y, 'b');
plot(T, Y, 'b', [-0.5 0 0],[0 0 Y(1)],'b',[-0.5 5],[0 0],'k:');
axis([-0.5 5 -2 12]);
xleer;
latexylabel('$$h$$');
rotateY;
yticks([0]);
xticks([0]);
latexxlabel('$$t$$ in s');


%%     Bilder auf .EPS- und .PS-Dateien
%
Epsbildc15('korrgl');
