%   Script ORTSK.M
%
%   Ortskurve eines Systems hherer Ordnung
%
% J. Lunze
% 17.11.1995
% fr 2. Auflage: 2.11.1998
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 9.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 4.12.2006
% fr 7. Auflage: 28.4.2008
% fr 8. Auflage: 5.1.2010
% fr 9. Auflage: 10.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 3.07.2019
%
%   
clear
close all;
z=[3];

%%                  
%
%   Ortskurve des Systems 1/(1 + 2dTs + T^2s^2)(1+sT3)
%   fr T=1, d=0.5, T3=2
%
%   
figure(1);
d=0.5;
n=[1 2*d 1];
r=roots(n);
r(3) = -0.5;
n=poly(r);
System=tf(z, n);
[Real, Imag]=nyquist(System);
plot(Real(:), Imag(:), 'b');
hold on
plot(Real(:), -Imag(:),'b--');
%axis([-1.5 3.2 -4 4]);
grid('on');
latextitle('Ortskurve eines Systems dritter Ordnung');
latexxlabel('Re');
latexylabel('Im');
rotateY;
[R, I, O] = nyquist(System);
omin=0.1;
omax=10;
% lineare Teilung
deltao = (omax - omin)/5;
Olin=[0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8];
[Betrag, Phase, Olin] = bode(System, Olin);
for k=1:8
   Real(k) = Betrag(k)*cos(Phase(k)*pi/180);
   Imag(k) = Betrag(k)*sin(Phase(k)*pi/180);
end;
plot(Real(1), Imag(1), 'b*'); latextext(Real(1)+0.5, Imag(1), '$$\omega=0,\!1$$');
plot(Real(2), Imag(2), 'b*'); latextext(Real(2)+0.5, Imag(2), '$$\omega=0,\!2$$');
plot(Real(3), Imag(3), 'b*'); latextext(Real(3)+0.5, Imag(3)+0.1, '$$\omega=0,\!3$$');
plot(Real(4), Imag(4), 'b*'); latextext(Real(4)+0.5, Imag(4), '$$\omega=0,\!4$$');
plot(Real(5), Imag(5), 'b*');
plot(Real(6), Imag(6), 'b*');
plot(Real(7), Imag(7), 'b*'); latextext(Real(7)+0.5, Imag(7), '$$\omega=0,\!7$$');
plot(Real(8), Imag(8), 'b*');
plot(6, 0, 'bo');
axis([-3 7 -5 5]);
xticks([-2 0 2 4 6]);
yticks([-4 -2 0 2 4]);
axis('square');
hold off


%% Herstellung der Bilddateien *.eps
%
Epsbildc15('ortsk');
