%   Script PHIRD.M
%
%   Zusammenhang zwischen der Dmpfung d
%   und dem Phasenrand eines Regelkreises
%
% J. Lunze
% 22.2.1996
% fr 2. Auflage: 2.11.1998
% fr 3. Auflage: 2.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 4.12.2006
% fr 7. Auflage: 28.4.2008
% fr 9. Auflage: 13.2.2012
% fr 10. Auflage: 28.1.2014
% fr 11. Auflage: 19.4.2016
% fr 12. Auflage: 3.07.2019
%
%   
clear
close all
%%                  
%
%   Zusammenhang zwischen Dmpfung und Phasenrand
%
%   
figure(1);
subplot(3,1,[1,2]);
for k=1:101,
  d=(k-1)/100;
  D(k,1)=d;
  Phi(k,1)=atan(2*d/sqrt(sqrt(1+4*d*d*d*d)-2*d*d))*180/pi;
  Approx(k,1)=100*d;
end;
plot(D, Phi, 'b', D, Approx, 'b--');
axis([0 1 0 80]);
latexylabel('$$\Phi_{\rm R}$$  in Grad');
latexxlabel('$$d$$');
rotateY;
xticks([0 0.2 0.4 0.6 0.8 1]);
yticks([0 20 40 60 80]);
grid('on');
latextitle('Zusammenhang zwischen D\"ampfung und Phasenrand');



%% Herstelung der Bilddateien *.eps
%
Epsbildc15('phird');
