%     POLEPT2.M
%
%   Darstellung der Pole eines PT2-Gliedes fr d>1
%
%  J. Lunze
%
%  fr 5. Auflage: 9.6.2005
% fr 7. Auflage: 28.4.2008
% fr 9. Auflage: 10.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 27.6.2019
%
%
clear
close all
% Verlauf der Pole bei T=1 in Abhngigkeit von d
k=0;
for d=[1:0.1:10]
    k=k+1;
    D(k)=d;
    P1(k)=-d+sqrt(d*d-1);
    P2(k)=-d-sqrt(d*d-1);
end
plot(D, P1, 'b', D, P2, 'b');
hold on
plot([0 10],[0 0],'k:');
plot(1,-1,'bo');
title('Verlauf der Pole bei d>1');
latexxlabel('$$d$$');
latexylabel('$$s_1, s_2$$');
rotateY;
axis([0 8 -18 1]);
hold off
