%   Script PROGFKL.M
%
%   Reglerentwurf im Bodediagramm (Beispiel Gleichstrommotor)
%      -> Programm im Kapitel "Frequenzkennlinienentwurf"
%
%         abgeleitet aus FKLMOTR.M
% J. Lunze
% 22.1.1996
% fr 2. Auflage: 2.11.1998
% fr 3. Auflage: 2.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 4.12.2006  (vernderte Motordaten)
% fr 7. Auflage: 28.4.2008
% fr 9. Auflage: 10.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 3.07.2019
%
%   
clear
close all
%
%    Beispiel 2: Entwurf einer Geschwindigkeitsregelung
%                fr einen Gleichstrommotor
%
Bspmotor;

%  Drehzahlgeber
Td = 0.008;       % s
zm=1;
nm=[Td 1];
Messglied=tf(zm, nm);
MotorMessglied=series(Motor, Messglied);
figure(1);
bode(MotorMessglied);


%%   Verwendung eines PI-Reglers
%    mit kp=4, TN=0.077
%    (also Nullstelle bei 7.08; |Gpi(s)| = 40dB fr s->oo)
%
%   
figure(2);
kP=4;
TI=0.0777;
zr=kP*[TI 1];
nr=[TI 0];
PIRegler=tf(zr, nr);
offeneKette=series(MotorMessglied, PIRegler);
bode(offeneKette);


%%  bergangsfunktion des PI-geregelten Motors
%
figure(3);
Regelkreis=feedback(offeneKette, 1);
step(Regelkreis);
%latextitle('\"Ubergangsfunktion des PI-geregelten Systems');
%axis([0 1.6 0 1.2]);
figure(3)
print -deps progfkl3.eps
