%   Script PROGWOK.M
%
%   Entwurf mit WOK   (Programm 10.1 in RT1)
%                     (analog WOKENTW.M)
%
% J. Lunze
% 22.1.1996
% fr 2. Auflage: 2.11.1998
% fr 3. Auflage: 26.3.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.4.2005
% fr 8. Auflage: 1.1.2010
% fr 9. Auflage: 10.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 3.07.2019
%
%   
clear
close all
%%                  
%
%   Beispiel: Invertiertes Pendel
%
%   
zs = [40];
ns = [1 0 -29.43];
Pendel=tf(zs, ns);
figure(1);
rlocus(Pendel);
latextitle('Wurzelortskurve des P-geregelten Pendels');
axis([-9 9 -9 9]);


% PD-Regler, der den stabilen Pol vollstndig kompensiert
%  d.h. Nullstelle des PD-Reglers bei -4.6324 = 1/(TD + T1)
T1=0.125;
TD=0.1843;
kP=1;
zPD = [kP*TD kP];
nPD = [T1 1];
PDRegler = tf(zPD, nPD);
OffeneKette = series(PDRegler, Pendel);
OffeneKettemin=minreal(OffeneKette, 0.1);
figure(2);
rlocus(OffeneKettemin);
latextitle('Wurzelortskurve des PD-geregelten Systems');
[k, P]=rlocfind(OffeneKettemin)
