%   Script PT1APPR.M
%
%    PT1-Approximation eines hherdimensionalen Systems
%    unter Nutzung der Summenzeitkonstante
%
%
% J. Lunze
% 15.12.1995
% fr 2. Auflage: 2.11.1998
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 4.12.2006
% fr 9. Auflage: 14.2.2012
% fr 10. Auflage: 27.1.2014
% fr 12. Auflage: 3.07.2019
%
%   
clear
close all
%%                  
%
%  PT3-System und PT1-Approximation
%
%   
figure(1);
subplot(3, 1, [1, 2]);
T1=1;
T2=3;
T3=5;
n=poly([-1/T1; -1/T2; -1/T3]);
z=1/dcgain(1, n);
System=tf(z, n);
[Y, T, X] = step(System);
TSigma=T1+T2+T3;
zappr=1;
nappr=[TSigma 1];
Systemappr=tf(zappr, nappr);
[Yhat, T, Xhat] = step(Systemappr, T);
fill([T; 0; 0 ], [Yhat; 1; 0], 'y');
hold on;
plot(T, Y, 'b', T, Yhat,'b--', [0 30], [1 1], 'k:');
latexxlabel('$$t$$ in s');
latexylabel('$$h$$');
rotateY;
latextitle('PT$$_3$$-System und PT1-Approximation');
axis([0 30 0 1.1]);
xticks([0 10 20 30]);
yticks([0 0.5 1]);
latextext(5, 0.2, '$$y$$');
latextext(20, 0.8, '$$\hat{y}$$');
latextext(2, 0.8, 'Fl\"ache F');



%% Herstellung der Bilddateien *.eps
%
Epsbildc15('pt1appr');
