%   Script PT2NYQU.M
%
%   Ortskurve eines Systems zweiter Ordnung
%
% J. Lunze
% 29.10.1995
% fr 2. Auflage: 7.12.1998
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 18.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 4.12.2006
% fr 7. Auflage: 28.4.2008
% fr 8. Auflage: 5.1.2010
% fr 9. Auflage: 13.2.2012
% fr 10. Auflage: 27.1.2014
% fr 11. Auflage: 18.4.2016
% fr 12. Auflage: 5.08.2019
%
%   
clear
close all
z=[3];

%%  Ortskurve des Systems 1/(1 + 2dTs + T^2s^2)
%   fr T=1, d=0.5
%
%   
figure(1);
d=0.5;
n=[1 2*d 1];
System=tf(z, n);
ks=dcgain(System);
for kp=[1, 1.5, 2, 2.5]
   [Real, Imag]=nyquist(kp*System);
   plot(Real(:), Imag(:), 'b');
   hold on;
   plot(Real(:), -Imag(:), 'b--');
   plot(kp*ks, 0, 'bo');
end
latextitle('Offene Kette 2. Ordnung f\"ur $$k_{\rm P}=1, 1.5, 2, 2.5$$');
plot([-1.3 -0.7],[0 0]);
plot([-1 -1],[0.3 -0.3],'k',[-1 -1],[0.2 -0.2], 'k');
plot([0 0],[-8 8],'k:',[-8 8],[0 0],'k:')
plot([0 8],[0 -6],'b--');
plot(2.7, -2, 'b+');
plot(4.05, -3.05, 'b+');
plot(5.35, -4.05, 'b+');
plot(6.72, -5.05, 'b+');
latextext(6.1, 0.8, '$$\omega=0$$');
latextext(7.5, -3, '$$\downarrow$$');
axis([-4.5 8.7 -6.6 6.6]);
xticks([-4 0 4 8]);
yticks([-4 0 4]);
axis('square');
grid('on');
latexxlabel('Re');
latexylabel('Im');
rotateY;
hold off

%%    Positiv reelle Ortskurve eines RC-Gliedes
%
figure(2)
subplot(3,3,[1,2,4,5]);
R1=10;     % Ohm
R2=10;
C1=0.00001;   % 10 muF
C2=0.00001;
A=[-1/R1/C1  1/R1/C1; 1/R1/C2 -(R1+R2)/R1/R2/C2];
B=[0; 1/R2/C2];
C=[0 -1/R2];
D=1/R2;
Schaltung=ss(A, B, C, D);
[Real Imag]=nyquist(Schaltung);
for k1=1:length(Real)
    Re(k1)=Real(1,1,k1);
    Im(k1)=Imag(1,1,k1);
end
plot(Re, Im, 'b', Re, -Im, 'b--');
hold on
plot([-0.1 0.15],[0 0],'k:', [0 0],[-0.1 0.2],'k:');
plot(0, 0, 'bo');
latextext(0.04, 0.045, '$$\omega \;\rightarrow$$'); 
axis([-0.005 0.105 -0.055 0.055]);
xticks([0 0.05 0.1]);
yticks([-0.05 0 0.05]);
axis('square');
latexxlabel('Re');
latexylabel('Im');
rotateY;



%% Herstellung der Bilddateien *.eps
%
Epsbildc15('pt2nyqu');
