%   Script TURBINE.M
%
%   Nichtminimalphasiges Verhalten eines Wasserkraftwerkes
%
% J. Lunze
% 5.3.1999
% fr 3. Auflage: 3.4.2001
% fr 4. Auflage: 19.9.2003
% fr 5. Auflage: 18.4.2005
% fr 6. Auflage: 4.12.2006
% fr 7. Auflage: 23.5.2008
% fr 8. Auflage: 5.1.2010
% fr 9. Auflage: 16.2.2012
% fr 10. Auflage: 27.1.2014
% fr 11. Auflage: 18.4.2016
% fr 12. Auflage: 24.07.2019
%
%   
clear
close all

%% bergangsfunktion eines Wasserkraftwerkes
%  Eingang: Ventilffnung  -->  Ausgang: Leistung
%   
figure(1)
subplot(6,1,[1,2])
plot([-0.5 0 0 2.5], [0.83 0.83 1 1], 'b')
xticks([0 1 2]);
xleer;
latexylabel('$$u$$  in \%');
rotateY;
axis([-0.5 2.5 0 1.1]);
yticks([0 0.5 1]);
latextitle('Turbinenleistung bei \"Offnung des Ventils um 10 Prozent');
%
subplot(6, 1, [3,4])
z=[-0.91 1];
n=[1 1];
T=0:0.01:5;
Y=0.1*step(z, n, T);    % 10% Vernderung der Leistung
Y = ones(size(Y)) + Y;
plot(T, 50*Y, 'b', [-1 0 0], 50*[1 1 Y(1,1)], 'b', [-1 5],50*[1.1 1.1],'k:');
axis([-0.5 2.5 0 60]);
yticks([0 55]);
xticks([0 1 2]);
latexylabel('$$p_{\rm kin}$$  in MW');
rotateY;
%latexxlabel('$$t$$ in s');
xleer;
%
subplot(6,1,[5,6])
plot(T, 50*Y, 'b', [-1 0 0], 50*[1 1 Y(1,1)], 'b', [-1 5],50*[1.1 1.1],'k:');
hold on
plot([0 0.83], [50*Y(1,1), 55],'b--');
plot(0.83, 55, 'bo');
plot([0.83 0.83],[45 55],'k:');
latextext(0.7, 43, '$$T_{\rm W}$$');
yticks([50 55 60]);
xticks([0 1 2]);
latexylabel('$$p_{\rm kin}$$  in MW');
rotateY;
latexxlabel('$$\qquad t$$ in s');
axis([-0.5 2.5 45 58]);
hold off


%%  Herstellung von .ps und .eps-Bildern
%
Epsbildc15('turbine');
